<template>
  <Dialog :title="dialogTitle" v-model="dialogVisible">
    <el-form
      ref="formRef"
      :model="formData"
      :rules="formRules"
      label-width="100px"
      v-loading="formLoading"
    >
      <el-form-item label="拒绝原因" prop="reason">
        <el-input v-model="formData.reason" placeholder="请输入拒绝原因" />
      </el-form-item>
    </el-form>
    <template #footer>
      <el-button @click="submitForm" type="primary" :disabled="formLoading">确 定</el-button>
      <el-button @click="dialogVisible = false">取 消</el-button>
    </template>
  </Dialog>
</template>

<script setup lang="ts">
import { EnterpriseUserApplyApi } from '@/api/menduner/system/enterprise/userApply'
/** 门墩儿-企业注册申请 表单 */
defineOptions({ name: 'EnterpriseUserApplyReject' })
const { t } = useI18n() // 国际化
const message = useMessage() // 消息弹窗
const dialogVisible = ref(false) // 弹窗的是否展示
const dialogTitle = ref(t('common.audit')) // 弹窗的标题
const formRef = ref() // 表单 Ref
const formLoading = ref(false) // 表单的加载中：1）修改时的数据加载；2）提交的按钮禁用
const formRules = reactive({
  reason: [{ required: true, message: '拒绝原因不能为空', trigger: 'blur' }]
})
const emit = defineEmits(['success']) // 定义 success 事件，用于操作成功后的回调
const formData = ref({
  reason: ''
})
const openId = ref();
const submitForm = async () => {
  try {
    await formRef.value?.validate(async (valid, fields) => {
      if (valid) {
        await EnterpriseUserApplyApi.rejectEnterpriseRegister({ id: openId.value, reason: formData.value.reason })
        dialogVisible.value = false
        message.success(t('common.success'))
        emit('success', { isReject: true })
      }
    })
  } catch {}
}
/** 打开弹窗 */
const open = async (id: Number) => {
  dialogVisible.value = true
  openId.value = id
  resetForm()
}
defineExpose({ open }) // 提供 open 方法，用于打开弹窗

/** 重置表单 */
const resetForm = () => {
  formData.value = {
    reason: ''
  }
  formRef.value?.resetFields()
}
</script>

<style lang="scss" scoped>

</style>